Subject: RE: Milestones

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 12 Dec 2002 01:03:03 +0100

> -----Original Message-----
> From: Rohan Mahy [mailto:[email-masked]]
> Sent: woensdag 11 december 2002 21:06
> To: Wijnen, Bert (Bert)
> Cc: [email-masked]
> Subject: Re: Milestones
>
>
>
> On Tuesday, December 10, 2002, at 05:20 AM, Wijnen, Bert (Bert) wrote:
> > I would really appreciate it if all WG chairs took say half an hour
> > (if that much) right now and updatedtheir milestones with realistic
> > dates and let us know. Let us at the same time all agree that we will
> > take these milestones more seriously from now on.
> >
> > How is that for an X-mas thought?
>
> Hi Bert,
>
> Even when chairs try to be responsive to updating milestones, for a
> busy/productive WG, milestone updates can take literally months from
> initial request until they appear on the web page, by which point at
> they probably need to be updated again, or get confused with a
> previously requested update (oh you marked that one as Done, but you
> asked to change to date to Nov).

Well... that is bad. And if that happens you should bring it up to your
AD and if he/she does not react then to Harald. We do know that sometimes
things slipt through (fall in between the cracks) at various places.
We can only identify where the cracks are if you tell us all.
Then we can try to fix the flaws.

> If the chairs are asking their AD for a bunch of useful stuff,
> approving milestones is likely (rightly so) to get prioritized
> below reviewing docs before IESG last call, etc..
> Note, that I am not talking about just pushing dates back ad
> infinitum.
>
In general I have been pretty flexible in allowing milestones to
be moved farther into the future. Not that I like it that much,
but seems to have become our culture. We're currently discussion
if we should more enfore timeliness. That is a different thing.

I do not believe that discussing new (farther out) milestones for
existing work items is really a big drain on time for ADs (well,
let me speak for myself, it is not for me).

> My suggestion is that chairs get direct write access to their charter
> page for minor edits without going through ietf-action. This would
> include changing milestone dates, marking milestones as Done,
> deleting  milestones, changing the wording of existing milestones,
> updating the  mailing list pointers, and pointers to a supplemental web
> site.  The AD would get notification of these changes, and could roll
> them back by just replying to the notification.
>
Seems a bit heavy.. but... I-D tracker has been our first try at
automating and keeping track of things. Once it is working well,
we can probably do more things.

> Updating the charter and adding milestones would continue to use our
> existing process.
>
> I would consider that an excellent xmas present.  If we can't do that,
> then I suggest we just add milestone dates to the ID-tracker and
> replace the entire milestones section from the charter page with a link
> to draft tracker.
>
That is a thought... to indeed have the WG charter page list the work
items and point to ID-tracker as the place where documents and their
target dates and such get tracked. It would/should at the same time have a
log as to when revisions appear in the repository.
I guess that is on our "todo-list" or at least on the list of things
to consider.

Bert
> thanks,
> -rohan
>
>
>
> > Thanks,
> > Bert
> >
> > -----Original Message-----
> > From: Margaret Wasserman [mailto:[email-masked]]
> > Sent: dinsdag 10 december 2002 12:24
> > To: Harald Tveit Alvestrand
> > Cc: Marshall Rose; Sam Hartman; [email-masked]
> > Subject: Re: Killing old/slow groups - transition thinking
> >
> >> Obviously the WG chairs think that getting these products out the
> >> door is
> >> more important than updating the list of milestones.
> >> Obviously I don't agree with them (since I bothered to
> complain), but
> >> I
> >> haven't pushed the issue.
> >
> > The question is not what you (Harald) think that is
> important to update
> > the milestones, but whether Bill or Alex thinks it is important
> > (whichever
> > is the AD for OSPF).
> >
> > I don't know enough about the OSPF WG to know if the chairs also do
> > all of
> > the technical work.  But, it seems unlikely that updating the
> > milestones
> > (just to mark what is done and clean up any glitches) is actually
> > mutually
> > exclusive with continuing to move products out the door...
> >
> > PLEASE NOTE:  MOST PEOPLE IN THE IETF DO NOT TAKE THE MILESTONES
> > SERIOUSLY.
> > As long as that is our general culture, don't expect anyone to take
> > updating them seriously.  I've been trying (somewhat
> unsuccessfully) to
> > change this in my groups, so that we will have goals to
> manage towards.
> > But, it isn't easy in a culture where milestones are a
> laughing stock.
> >
> > People in my groups often seem surprised when I ask them to
> "sign-up"
> > for milestones and/or send them reminders about upcoming milestones.
> >
> >> What do you think should be done *now* about OSPF?
> >
> > If the responsible AD believes that a milestone update is a high
> > priority,
> > he should make that clear to the chairs, and preferably include a
> > deadline
> > by which the update should be completed.  Then, the chairs should
> > update
> > the milestones.
> >
> > If it becomes a pattern that the chairs are not responsive to the
> > priorities
> > set by the AD, he should talk to them about it and try to
> figure out
> > why.
> > But, if the chairs remain non-responsive, they should be replaced.
> >
> > In this particular case (OSPF) which has been a successful WG for a
> > long time, the chairs should certainly not be replaced
> lightly or over
> > a relatively small thing like milestone updates (assuming
> that is the
> > only problem).
> >
> > And shutting down the OSPF WG because one or two people are
> not doing
> > one
> > relatively small aspect of their job would be incredibly silly.
> >
> > Margaret
> >
> >
> >
>